import request from '@/utils/request'

// 查询评价列表
export function listRating(query) {
  return request({
    url: '/supplier/rating/list',
    method: 'get',
    params: query
  })
}

// 查询评价详细
export function getRating(rateId) {
  return request({
    url: '/supplier/rating/' + rateId,
    method: 'get'
  })
}

// 新增评价
export function addRating(data) {
  return request({
    url: '/supplier/rating',
    method: 'post',
    data: data
  })
}

// 修改评价
export function updateRating(data) {
  return request({
    url: '/supplier/rating',
    method: 'put',
    data: data
  })
}

// 删除评价
export function delRating(rateId) {
  return request({
    url: '/supplier/rating/' + rateId,
    method: 'delete'
  })
}
